Skip to content

Service

All operations require authentication.

7 operationsv1/overTheBox · /overTheBox/{serviceName}
Agent setup

List OverTheBox servicesProduction

GET
/1.0/overTheBox

Returns the names of the OverTheBox services of the account. Each name is the serviceName used by the other OverTheBox calls.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an OverTheBox serviceProduction

GET
/1.0/overTheBox/{serviceName}

Returns the service status, offer and bandwidth, its operation, tunnel and configuration modes, release channel, IPv6, autoMTU and auto upgrade settings, and the endpoint to query its metrics.

Path parameters

serviceName
required
string

Service name

Response

200serviceWithIAMsuccessful operation
SOCKSProxyEnabled
read-only
boolean

Service socks proxy status

autoMTU
read-only
activationStatusEnum

Service auto MTU status

Valuesdisabledenabled
autoUpgrade
read-only
boolean

Service auto upgrade status

bandwidth
read-only
integer

Service bandwith in bits

configurationMode
read-only
configurationModeEnum

Service description

Valuesautoconfigurelocal
customerDescription
read-only
string

Service description

graphEndpoint
read-only
graphEndpoint

Service metrics endpoint

iam
read-only
ResourceMetadata

IAM resource metadata

ipv6Enabled
read-only
boolean

Service IPv6 status

offer
read-only
string

Service offer

operationMode
read-only
operationModeEnum

Service operation mode options

Valuesovertheboxoverthebox-legacywireguard
prettyOfferName
read-only
string

Service pretty offer name

releaseChannel
read-only
string

Service release channel

serviceName
read-only
string

Service name

status
read-only
statusEnum

Service status

ValuesactivecreatingdeletedsuspendedtoCreatetoDelete
tunnelMode
read-only
tunnelModeEnum

Service tunnel mode options

Valuesglorytunglorytun_hybridglorytun_mudwireguard

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "SOCKSProxyEnabled": true, "autoMTU": "disabled", "autoUpgrade": true, "bandwidth": 0, "configurationMode": "autoconfigure", "customerDescription": "string", "graphEndpoint": { "host": "string", "readToken": "string", "readTokenID": "string" }, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ipv6Enabled": true, "offer": "string", "operationMode": "overthebox", "prettyOfferName": "string", "releaseChannel": "string", "serviceName": "string", "status": "active", "tunnelMode": "glorytun"}

Update an OverTheBox serviceProduction

PUT
/1.0/overTheBox/{serviceName}

Update an OverTheBox service. Changes the settings that can be modified: the customer description, the release channel and the device auto upgrade.

Path parameters

serviceName
required
string

The internal name of your overTheBox offer

Request body (required)

SOCKSProxyEnabled
read-only
boolean

If the socks proxy is enabled

autoMTU
read-only
AvailableStatusEnum

The status of the autoMTU

Valuesdisabledenabled
autoUpgrade
boolean

Enable device auto upgrade

bandwidth
read-only
integer

The service maximum bandwidth in bits

configurationMode
read-only
ServiceConfigurationModeEnum

Configuration mode of the service

Valuesautoconfigurelocal
customerDescription
string

Editable field for customer

graphEndpoint
read-only
GraphEndpoint

Parameters needed to fetch metrics

ipv6Enabled
read-only
boolean

Indicates if IPv6 is enabled

offer
read-only
string

The service offer

operationMode
read-only
OperationModeEnum

Operation mode of the service

Valuesovertheboxoverthebox-legacywireguard
prettyOfferName
read-only
string

The service pretty offer name

releaseChannel
string

Release channel of the service

serviceName
read-only
string

The name of the service

status
read-only
ServiceStatusEnum

The status of the service

ValuesactivecreatingdeletedsuspendedtoCreatetoDelete
tunnelMode
read-only
TunnelModeEnum

The tunnel mode of the service

Valuesglorytunglorytun_hybridglorytun_mudwireguard

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Resiliate an OverTheBox serviceProduction

DELETE
/1.0/overTheBox/{serviceName}

Resiliate an OverTheBox service. Requests the resiliation of the service. Cancel it with cancelResiliation while it is not effective.

Path parameters

serviceName
required
string

The internal name of your overTheBox offer

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Update the autoMTU of an OverTheBox serviceProduction

PUT
/1.0/overTheBox/{serviceName}/autoMTU

Update the autoMTU of an OverTheBox service. Enables or disables the automatic detection of the MTU on the service.

Path parameters

serviceName
required
string

The internal name of your overTheBox offer

Request body (required)

mtuAuto
required
AvailableStatusEnum

Enable or disable autoMTU

Valuesdisabledenabled

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/autoMTU \
  -H "authorization: Bearer $OVH_TOKEN"

Link a device to an OverTheBox serviceProduction

POST
/1.0/overTheBox/{serviceName}/linkDevice

Link a device to an OverTheBox service. Associates the device, identified by its ID, with the service.

Path parameters

serviceName
required
string

The internal name of your overTheBox offer

Request body (required)

deviceId
required
string

The id of the device

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/linkDevice \
  -H "authorization: Bearer $OVH_TOKEN"

Link a hardware to an OverTheBox serviceProduction

POST
/1.0/overTheBox/{serviceName}/linkHardware

Link a hardware to an OverTheBox service. Associates one of the available hardware of the account, identified by its name, with the service.

Path parameters

serviceName
required
string

The internal name of your overTheBox offer

Request body (required)

hardwareName
required
string

The internal name of your hardware

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/linkHardware \
  -H "authorization: Bearer $OVH_TOKEN"